extends ../layout.pug

block content
  .container.mt-3
    h3 Articles

    a(href=route('newArticle'), data-test-id="new-article-btn") Create new article

    table.table.table-striped.mt-3#articles(data-test-id="articles-table")
      thead
        tr
          th Id
          th Name
          th Category
          th Actions
      tbody
        each article in articles
          tr(data-test-id="articles-table-row")
            td(data-test-id="article-id")= article.id
            td(data-test-id="article-name")= article.name
            td(data-test-id="article-category")= _.find(categories, ['id', article.categoryId]).name
            td
              a(href=route('editArticle', { id: article.id }), data-test-id="article-edit") Edit
              form(action=route('article', { id: article.id }) method="post" data-test-id="article-form")
                input(type="hidden" name="_method" value="DELETE")
                input.btn.btn-link.text-danger.pl-0(type="submit" value="Delete" data-test-id="article-delete-btn")
